/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: MessageIDs.java,v 1.1 2005/07/11 12:49:18 ppoi Exp $
 */
package tsukuba_bunko.peko.scenario.text;

import	tsukuba_bunko.peko.MessageID;


/**
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1 $
 */
public class MessageIDs	{

	/**
	 * "ÓȃftHgsԊuݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2001W = new MessageID( "SCN2001W" );

	/**
	 * "sȃV[ŗL̍sԊuݒ肳܂BftHg̍sԊugp܂B"
	 */
	public static final MessageID	SCN2002W = new MessageID( "SCN2002W" );

	/**
	 * "ÓȃftHg TextCanvas wiFݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2003W = new MessageID( "SCN2003W" );

	/**
	 * "s TextCanvas wiFݒ肳܂BftHg TextCanvas wiFgp܂B"
	 */
	public static final MessageID	SCN2004W = new MessageID( "SCN2004W" );

	/**
	 * "ÓȃftHg TextCanvas wiߗݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2005W = new MessageID( "SCN2005W" );

	/**
	 * "s TextCanvas wiߗݒ肳܂BftHg TextCanvas wiߗgp܂B"
	 */
	public static final MessageID	SCN2006W = new MessageID( "SCN2006W" );

	/**
	 * "ÓȃftHg͑OiFݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2007W = new MessageID( "SCN2007W" );

	/**
	 * "sȕ͑OiFݒ肳܂BftHg͑̕OiFgp܂B"
	 */
	public static final MessageID	SCN2008W = new MessageID( "SCN2008W" );

	/**
	 * "ÓȃftHg̕eFݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2009W = new MessageID( "SCN2009W" );

	/**
	 * "sȕeFݒ肳܂BftHg̕eFgp܂B"
	 */
	public static final MessageID	SCN2010W = new MessageID( "SCN2010W" );

	/**
	 * "ÓȃftHgtHgݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2011W = new MessageID( "SCN2011W" );

	/**
	 * "sȃtHg({0})ݒ肳܂Bݒ͖܂B" : {0}:
	 */
	public static final MessageID	SCN2012W = new MessageID( "SCN2012W" );

	/**
	 * "ÓȃftHgy[W\^Cvݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2013W = new MessageID( "SCN2013W" );

	/**
	 * "sȃy[W\^Cvݒ肳܂BftHgy[W\^Cvgp܂B"
	 */
	public static final MessageID	SCN2014W = new MessageID( "SCN2014W" );

	/**
	 * "ÓȃftHgy[W\̈TCYݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2015W = new MessageID( "SCN2015W" );

	/**
	 * "sȃy[W\̈TCYݒ肳܂BftHgy[W\̈TCYgp܂B"
	 */
	public static final MessageID	SCN2016W = new MessageID( "SCN2016W" );

	/**
	 * "ÓȃftHgy[W\̈ʒuݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2017W = new MessageID( "SCN2017W" );

	/**
	 * "sȃy[W\̈ʒuݒ肳܂BftHgy[W\̈ʒugp܂B"
	 */
	public static final MessageID	SCN2018W = new MessageID( "SCN2018W" );

	/**
	 * "ÓȃftHgy[W\̈pfBOlݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SCN2019W = new MessageID( "SCN2019W" );

	/**
	 * "sȃy[W\̈pfBOlݒ肳܂BftHgy[W\̈pfBOlgp܂B"
	 */
	public static final MessageID	SCN2020W = new MessageID( "SCN2020W" );


	/**
	 * <code>MessageIDs</code> ̃CX^X͐ł܂B
	 */
	private MessageIDs()
	{
		super();
	}
}
