/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: MessageIDs.java,v 1.2 2005/09/04 16:10:14 ppoi Exp $
 */
 package tsukuba_bunko.peko.session;

import	tsukuba_bunko.peko.MessageID;


/**
 * <code>tsukuba_bunko.peko.save</code> Ŏgp郍ObZ[W ID ̒`Wł
 * @author	$Author: ppoi $
 * @version	$Revision: 1.2 $
 */
public final class MessageIDs	{

	/**
	 * "Z[uf[^̕ۑɎs܂B:{0}" / {0}:savedata id
	 */
	public static final MessageID	SAV0001E = new MessageID( "SAV0001E" );

	/**
	 * "Z[uf[^̕ۑɎgp݃Xg[̃N[YɎs܂B"
	 */
	public static final MessageID	SAV0002W = new MessageID( "SAV0002W" );

	/**
	 * "Z[uf[^̓ǂݍ݂Ɏs܂B:{0}" / {0}:savedata id
	 */
	public static final MessageID	SAV0003E = new MessageID( "SAV0003E" );

	/**
	 * "Z[uf[^̓ǂݍ݂Ɏgpǂݍ݃Xg[̃N[YɎs܂B"
	 */
	public static final MessageID	SAV0004W = new MessageID( "SAV0004W" );

	/**
	 * "w肳ꂽZ[uf[^݂͑܂B:{0}" / {0}:savedata id
	 */
	public static final MessageID	SAV0005E = new MessageID( "SAV0005E" );

	/**
	 * "VXeZ[uf[^̕ۑɎs܂B"
	 */
	public static final MessageID	SAV0006F = new MessageID( "SAV0006F" );

	/**
	 * "VXeZ[uf[^̓ǂݍ݂Ɏs܂B"
	 */
	public static final MessageID	SAV0007F = new MessageID( "SAV0007F" );

	/**
	 * "ꗗ쐬p̃Z[uf[^ǂݍ݂Ɏs܂B:{0}" / {0}:savedata id
	 */
	public static final MessageID	SAV0008W = new MessageID( "SAV0008W" );

	/**
	 * "ZTCY̐ݒ肪Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SAV0009W = new MessageID( "SAV0009W" );

	/**
	 * "tHg({0})ݒ肳Ă܂BftHgl {1} gp܂B" / {0}:(^Cg etc.) {1}:ftHgl
	 */
	public static final MessageID	SAV0010W = new MessageID( "SAV0010W" );

	/**
	 * "^Cg̃tH[}bgw肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgtH[}bg
	 */
	public static final MessageID	SAV0011W = new MessageID( "SAV0011W" );

	/**
	 * "_CAÕ^Cgw肳Ă܂B"
	 */
	public static final MessageID	SAV0012W = new MessageID( "SAV0012W" );

	/**
	 * "xɕ\Z[uf[^w肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SAV0013W = new MessageID( "SAV0013W" );

	/**
	 * "xɕ\Z[uf[^ɖȒlw肳܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SAV0014W = new MessageID( "SAV0014W" );

	/**
	 * "㏑mF_CAÕ^Cgw肳Ă܂B"
	 */
	public static final MessageID	SAV0015W = new MessageID( "SAV0015W" );

	/**
	 * "㏑mF_CAÕbZ[Ww肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SAV0016W = new MessageID( "SAV0016W" );

	/**
	 * "^CX^ṽtH[}bgݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SAV0017W = new MessageID( "SAV0017W" );

	/**
	 * o^ڂ̃^Cgݒ肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SAV0018W = new MessageID( "SAV0018W" );

	/**
	 * "I{^({0})̃LvVݒ肳Ă܂BftHgl {1} gp܂B" / {0}:{^ {1}:ftHgl
	 */
	public static final MessageID	SAV0019W = new MessageID( "SAV0019W" );

	/**
	 * "[hf[^Ȃ_CAÕ^Cgw肳Ă܂B"
	 */
	public static final MessageID	SAV0020W = new MessageID( "SAV0020W" );

	/**
	 * "[hf[^Ȃ_CAÕbZ[Ww肳Ă܂BftHgl {0} gp܂B" / {0}:ftHgl
	 */
	public static final MessageID	SAV0021W = new MessageID( "SAV0021W" );

	/**
	 * "sȃZ[uf[^łB:{0}"
	 */
	public static final MessageID	SAV0022W = new MessageID( "SAV0022W" );

	/**
	 * "OiF({0})ݒ肳Ă܂BftHgl {1} gp܂B" / {0}:(^Cg etc.) {1}:ftHgl
	 */
	public static final MessageID	SAV0023W = new MessageID( "SAV0023W" );

	/**
	 * "wiF({0})ݒ肳Ă܂BftHgl {1} gp܂B" / {0}:(^Cg etc.) {1}:ftHgl
	 */
	public static final MessageID	SAV0024W = new MessageID( "SAV0024W" );

	/**
	 * "Z[uf[^̓eÂ߁C̃Z[uf[^͎gpo܂B"
	 */
	public static final MessageID	SAV0025E = new MessageID( "SAV0025E" );

	/**
	 * <code>MessageIDs</code> ̃CX^X͐ł܂B
	 */
	private MessageIDs()
	{
	}
}