/*
 * Common Library for TBAS Softwares
 * Language: Java
 *
 * All Rights Reserved.
 * (c) Copyright 2002 by Tsukuba Bunko.
 *
 * $Id: BasicDeserializer.java,v 1.1 2005/07/11 12:49:18 ppoi Exp $
 */
package tsukuba_bunko.resource;

import	org.xml.sax.Attributes;
import	org.xml.sax.Locator;
import	org.xml.sax.ContentHandler;
import	org.xml.sax.SAXException;


/**
 * {I <code>ResourceDeserializer</code> ̎񋟂܂.
 * ȂC̎ł͉̏s܂.
 * @author	$Author
 */
public class BasicDeserializer	implements ResourceDeserializer, ContentHandler	{

	/**
	 * fVACYꂽIuWFNg
	 */
	protected Object	_deserializedValue = null;

	/**
	 * \[X̉͂Ɏgp DeserializerMapping
	 */
	protected DeserializerMapping	_mapping = null;

	/**
	 *  ResourceDeserializer ֘AÂꂽf[^^
	 */
	protected String	_typeName;


	/**
	 * <code>BasicDeserializer</code> ̃CX^X쐬܂B
	 */
	public BasicDeserializer()
	{
		super();
	}


	/**
	 *  <code>ResourceDeserializer</code> ֘AÂꂽf[^^擾܂B
	 * @return	f[^^
	 */
	protected String getTypeName()
	{
		return _typeName;
	}

	/**
	 * gp <code>DeserializerMapping</code> 擾܂.
	 * @return <code>DeserializerMapping</code>
	 */
	protected DeserializerMapping getDeserializerMapping()
	{
		return _mapping;
	}

	/**
	 * fVACYʂݒ肵܂.
	 * @param	value	fVACY
	 */
	protected void setValue( Object value )
	{
		_deserializedValue = value;
	}


//
//	ResourceDeserializer ̎
//
	public void setTypeName( String typeName )
	{
		_typeName = typeName;
	}

	public void setDeserializerMapping( DeserializerMapping mapping )
	{
		_mapping = mapping;
	}

	public Object getValue()
	{
		return _deserializedValue;
	}


//
//	ContentHandler ̎
//
	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void setDocumentLocator( Locator locator )
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void startPrefixMapping( String namespaceURI, String prefix )
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void endPrefixMapping( String namespaceURI )
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void startDocument()
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void endDocument()
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void startElement( String namespaceURI, String localName, String qName, Attributes attrs )
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void endElement( String namespaceURI, String localName, String qName )
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void processingInstruction( String target, String data )
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void skippedEntity( String name )
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void characters( char[] ch, int begin, int length )
		throws SAXException
	{
	}

	/**
	 * @see	org.xml.sax.ContentHandler
	 */
	public void ignorableWhitespace( char[] ch, int begin, int length )
		throws SAXException
	{
	}
}
